
get
/v4/claims/history/{address}
Fetch a recipient's historical claims, grouped per claim transaction with amounts aggregated by token.
Path parameters
addressstringrequired
Recipient address
Query parameters
chainIdsstring (integer) | integer[]Chain IDs to filter claims
Responses
200Response for status 200
Schema
object[]
idstringClaim Id in Merkl DatabasechainIdstring (integer) | integerChain Id the claim was detected onrecipientstringAddress of the recipientblockNumbernumberBlock number at which the claim occurredtimestampnumberUnix timestamp of the claimtokenstringToken address that was claimedcampaignIdstringCampaign ID associated with the claimreasonstringReason for the claimrootstringMerkle root used for the claimamountstringAmount claimed (as string to handle big numbers)metadataanyAdditional metadata about the claimisLatestbooleanWhether this is the latest claim for this combinationExample
[
{
"id": "string",
"chainId": 0,
"recipient": "string",
"blockNumber": 0,
"timestamp": 0,
"token": "string",
"campaignId": "string",
"reason": "string",
"root": "string",
"amount": "string",
"metadata": null,
"isLatest": false
}
]get
https://api.merkl.xyz/v4/claims/history/curl -X GET "https://api.merkl.xyz/v4/claims/history/0xd93814273b33DD33B32cD345225CfB65DEB048Dd"